LocaleAction (Struts Apps - Mailreader 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.apps.mailreader.actions
Class LocaleAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.apache.struts.actions.MappingDispatchAction
                      org.apache.struts.apps.mailreader.actions.BaseAction
                          org.apache.struts.apps.mailreader.actions.LocaleAction

    public final class LocaleAction

extends BaseAction

Change user's Struts `Locale`.

Field Summary

Fields inherited from class org.apache.struts.apps.mailreader.actions.BaseAction
`log, PASSWORD, TASK, USERNAME`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`LocaleAction()`

Method Summary
`ActionForward` | `execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Change the user's Struts `Locale` based on request parameters for "language", "country".

Methods inherited from class org.apache.struts.apps.mailreader.actions.BaseAction
`doCancel, doFindFailure, doFindLogon, doFindSuccess, doGet, doGetSubscription, doGetSubscription, doGetUser, doGetUser, doGetUserDatabase, doInputForward, doLogProcess, doSaveToken, doSaveUser, doSet`

Methods inherited from class org.apache.struts.actions.MappingDispatchAction
`getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleAction

    public LocaleAction()

Method Detail

### execute

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
                          throws Exception

  Change the user's Struts `Locale` based on request parameters for "language", "country". After setting the Locale, control is forwarded to an URI path indicated by a "page" parameter, or a forward indicated by a "forward" parameter, or to a forward given as the mappings "parameter" property. The response location must be specified one of these ways.

  Overrides:
    `execute` in class `MappingDispatchAction`
  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `form` - The optional ActionForm bean for this request (if any)
    `request` - The HTTP request we are processing
    `response` - The HTTP response we are creating
  Returns:
    An ActionForward indicate the resources that will render the response
  Throws:
    `Exception` - if an input/output error or servlet exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.